/*
This is a module for Litestep which let you define hotspots for
executing bang commands or launching programs

Copyright (C) 2000 Chao-Kuo Lin

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef _CK_HOTSPOTS_H_
#define _CK_HOTSPOTS_H_

#define WIN32_LEAN_AND_MEAN
#include <windows.h>

#define MAX_HOTSPOTS 0xFF

#define CKHOTSPOTSCLASSNAME "ckHotspots"

#define WM_CKMOUSEHOOKMSG (WM_USER + 10)

typedef struct
{
	BOOL stat; // TRUE, FALSE, and -1 if this spot is vancant
	RECT spot;
	char in_action[0xFF];
	char out_action[0xFF];
	char name[0xFF];
} HotspotT, *lpHotspotT;

typedef BOOL (*SETMOUSEHOOK)(BOOL);
typedef void (*INITHOOK)(HWND, DWORD);


#ifdef __cplusplus
extern "C" {
#endif

__declspec( dllexport ) int initModule(HWND parent, HINSTANCE dll, wharfDataType* wd);
__declspec( dllexport ) int initModuleEx(HWND parent, HINSTANCE dll, LPCSTR szPath);
__declspec( dllexport ) int quitModule(HINSTANCE dll);


LRESULT CALLBACK WindowProc(HWND hwnd, UINT uMsg, WPARAM wParam, LPARAM lParam);

#ifdef __cplusplus
}
#endif

#endif